Subject: Re: MPC52xx: sysfs failure on adding new device driver

From: Grant Likely <[email-masked]>
Date: Thu, 9 Jun 2005 12:34:39 -0600

On 6/9/05, Mark Chambers <[email-masked]> wrote:
> Sylvain:
> > btw, if not yet integrated you should send your patch to Wolfang, he's
> > the one maintaining that tree.
>=20
> Wolfgang:
> > I've seen the patch, but did not decide yet what to do with it.  Many
> > drivers  don't  support  devfs  anyway, and in my opinion devfs makes
> > little sense in embedded systems anyway. Not to mention that it  will
> > officially  be removed from the kernel tree in less than 4 weeks from
> > now (see Documentation/feature-removal-schedule.txt).
>=20
> This is nonsense.  You know, when I made this patch I said
> to myself, "Self, you're wasting your time, these guys won't take patches
> from somebody they don't know"  But I thought it was enough of a
> no-brainer that it might go through.
>=20
> Seems I was wrong.
>=20
Don't take things too personally.  (I understand where you're coming
from; I'm virtually unknown around here also).  You have to remember
that devfs is pretty much considered to be a bastard stepchild and
there is a lot of negative opinion surrounding it.  Because of that it
is very hard to get *any* devfs patches to be considered.

Just posting your patch on the ML is important and valuable.  That
makes things easy when somebody else has the same problem.  I
certainly remember seeing your original post, and I made note of it
for if I ever see that problem.

Cheers,
g.